Run the workflow behind a dashboard action widget
/dashboard/{id}/widget/{key}/invoke
Needs view access, can_run on the action workflow and a signed-in person. Errors: 403 interactive_requires_session, 403 action_not_allowed (also when the workflow is invisible), 409 action_trigger_missing, 409 action_in_flight, 429 action_cooldown with retry_after_seconds, 400 run_input_invalid, and the run-start 409s unchanged.
Path Parameters
Resource id
Widget key
Request Body
curl -X POST 'https://api.elaichi.ai/dashboard/<id>/widget/<key>/invoke' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"input":{},"request_id":"your_request_id"}'const body = {
"input": {},
"request_id": "your_request_id"
};
const response = await fetch('https://api.elaichi.ai/dashboard/<id>/widget/<key>/invoke', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/dashboard/<id>/widget/<key>/invoke"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {
"input": {},
"request_id": "your_request_id"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())